---
# drone encrypt kosssi/histoiredunpied $REGISTRY_PASSWORD
kind: secret
name: REGISTRY_PASSWORD
data: OEvQkKRQWXNAFMEVYWrKqKjawvzeccLVCpYLHew8kufit+xxvbsePwcTI1+D1QWVLqJp8k8ShISD3xyzxp7wqXcV0hsF3kYcsxc7zg5y

---
# drone encrypt kosssi/histoiredunpied $REGISTRY_USER
kind: secret
name: REGISTRY_USER
data: cMOL24CRvJvIFwxXp6G/oyekU7g8G/8UJJ3XuoRsbK2bZA==

---
# drone encrypt kosssi/histoiredunpied "{\"auths\":{\"https://registry.weko.io\":{\"auth\":\"$(echo -n "$REGISTRY_USER:$REGISTRY_PASSWORD" | base64)\",\"email\":\"$REGISTRY_USER\"}}}"
kind: secret
name: REGISTRY_CONFIG
data: HGEQqB3NrTqH2dF715fgDCNWDmQXRY1psgbYd0IH9O4eByqXdPBWAY5QUI8J3IxK7IpWObB418jWqwPUAVegzOEAn/bAn1PUVOV+cjG1PfbbvHIUFyYvCojGmf2p+NucXACo3KrebrnPpf6lUvftH9xWLLFW3e/ECnSq9rq5v0xh1fFwlghkwjjxOEfDHhlHx+eXlSY6nEuNH2svl1wo11xTqemSOPgGlpzJ

---
kind: pipeline
type: docker
name: default

platform:
  os: linux
  arch: arm64

steps:
- name: install
  image: registry.weko.io/hugo
  commands:
  - git submodule update --init
  - (cd themes/hugo-theme-lowtech && npm i)
  - npm run build
  when:
    branch:
    - master

- name: docker
  image: plugins/docker
  settings:
    username:
      from_secret: REGISTRY_USER
    password:
      from_secret: REGISTRY_PASSWORD
    repo: registry.weko.io/histoiredunpied
    registry: registry.weko.io
    auto_tag: true
    tags:
      - latest

image_pull_secrets:
- REGISTRY_CONFIG
